ComplaintCategoryList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ComplaintCategoryList

    java.lang.Object
      com.fenalco.entities.ComplaintCategoryList

    public class ComplaintCategoryList

extends java.lang.Object

Esta clase representa la tabla categoria_reclamo. Contiene un listado con los distintos tipos de reclamos que puede enviar un usuario del sistema.

Author:
  Néstor Romero León, Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `categories` Este `Hastable` contiene las entradas de la tabla categoria_reclamo en la forma: key: int complaintCategoryId value: Objeto ComplaintCategory

Constructor Summary
`ComplaintCategoryList()` Constructor por omisión, crea una objeto `ComplaintCategoryList` y llama al método loaData para cargar los datos de la base de datos.

Method Summary
`java.util.Hashtable` | `getCategories()` Consultor para el atributo categories.
`boolean` | `loadData()` Este método carga la tabla categoria_reclamo en el objeto.
`void` | `setCategories(java.util.Hashtable categories)` Modificador para el atributo categories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categories

    private java.util.Hashtable categories

  Este `Hastable` contiene las entradas de la tabla categoria_reclamo en la forma: key: int complaintCategoryId value: Objeto ComplaintCategory

Constructor Detail

### ComplaintCategoryList

    public ComplaintCategoryList()

  Constructor por omisión, crea una objeto `ComplaintCategoryList` y llama al método loaData para cargar los datos de la base de datos.

Method Detail

### loadData

    public boolean loadData()

  Este método carga la tabla categoria_reclamo en el objeto. Realiza la operación de carga por medio del método `query` de la clase `SQLUtilities`.

  Returns:
    Valor booleano que indica si la operación tuvo éxito o no

### getCategories

    public java.util.Hashtable getCategories()

  Consultor para el atributo categories.

  Returns:
    Valor del atributo categories.

### setCategories

    public void setCategories(java.util.Hashtable categories)

  Modificador para el atributo categories.

  Parameters:
    `categories` - Nuevo valor del atributo categories.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD